Home

Z-Transp disables Material Pass Index
Closed, ResolvedPublic

Description
when using a pass index for a material, enabling Z-Transparency to the material seems to disable the pass index.
So when you have a material set to Z-Transparent, the Render nodes don't render that materials Pass index anymore.

*note*
in the blend file, you'll see a viewer node, that would normally show the Pass Index. But it's blank because Z-Transparency is enabled.
Disable it for the material, to see the Pass appear in the viewer node.

http://blenderartists.org/forum/showthread.php?233819-Z-Transp-disables-MA-Pass-index
auuman_anubis (Auuman Anubis) set Type to Bug.Via Old WorldOct 15 2011, 5:11 AM
2.6RC and 2.6RC2 are the only ones I've tested.
brecht (Brecht Van Lommel) added a comment.Via Old WorldOct 15 2011, 11:38 PM
Confirmed, assigning bug. Jeroen, it seems the z-transp material index pass in zbuf.c writes object index instead?
dingto (Thomas Dinges) added a comment.Via Old WorldSep 25 2012, 1:08 PM
Any updates here Jeroen?
ton (Ton Roosendaal) added a comment.Via Old WorldOct 21 2012, 7:15 PM
Bump!
jbakker (Jeroen Bakker) added a comment.Via Old WorldOct 23 2012, 9:21 AM
Sorry for the late response.
But it has been fixed in revision 51527.

Thanks for the report!
jbakker (Jeroen Bakker) closed this task as "Resolved".Via Old WorldOct 23 2012, 9:21 AM

Add Comment